mod sort_button ;

use gtk4 :: Box ;
use gtk4 :: Align :: * ;
use gtk4 :: Orientation :: * ;
use gtk4 :: prelude :: * ;
use std :: ops :: * ;

use crate :: ui :: component :: * ;
use crate :: ui :: utility :: * ;
use crate :: ui :: collatable_container :: * ;
use crate :: ui :: collatable_container :: collation_menu :: sort_button :: * ;



pub struct MediaCollationMenu { widget : Box }

impl MediaCollationMenu {
	pub fn new < A : MediaAdapter > ( on_sort : impl Fn ( A :: Sorting ) + 'static ) -> Self {
		let sort_button = MediaSortButton :: <A> :: new (on_sort) ;

		let widget = g_box ! (
			@ orientation : Horizontal ;
			@ halign : Center ;
			@ spacing : 20 ;
			@ css_classes : & [ "toolbar" , "collation-menu" ] ;
			sort_button . get_widget () ,
		) ;

		Self { widget }
	}
}

impl Component for MediaCollationMenu {
	fn get_widget ( & self ) -> & Box { & self . widget }
}
